JobSub - Bug #7376

jobsub_client ups product
11/24/2014 06:03 PM - Christopher Backhouse

Status: Closed Start date: 11/24/2014
Priority: Normal Due date:

Assignee: Dennis Box % Done: 0%
Category: Estimated time: 0.00 hour
Target version: vi1.1 Spent time: 0.00 hour
First Occurred: Stakeholders:

Occurs In: v1.0

Description

I maintain NOvA software at an offsite location (Caltech). We recently started setting up jobsub_client as part of our setup script.
So, | install jobsub_client:

upd install jobsub_client v1_0

and now when | setup | get:

ERROR: Product 'pycurl' (with qualifiers ''), has no current chain (or may not exist)
ERROR: Product 'pycurl' (with qualifiers ''), has no current chain (or may not exist)

Looking in /grid/fermiapp/products/common/db/pycurl/ | see the two versions that are installed, so | do:

upd install pycurl v7_15_5 -H Linux64bit+2.6-2.5
upd install pycurl v7_16_4 -H Linux64bit+2.6-2.12

Now | can explicitly "setup pycurl v7_15_5", but "setup jobsub_client" still gives the same errors. | get the same on both SL5 and SL6

nodes.

| don't understand much about ups, but is this a packaging problem with the jobsub_client product? It kind of seems like it's not
specifying a specific version of pycurl. Is that right? Should that default to the latest available? Why isn't it?

History

#1 - 11/24/2014 06:04 PM - Christopher Backhouse

My goal here isn't to submit jobs from offsite, | just want to shut our setup scripts up without having to hack anything. Although, do offsite submissions

work? Presumably | can access the web service (even if | have to tunnel), and | have a kerberos ticket.
#2 - 11/26/2014 02:31 PM - Christopher Backhouse
The magic incantation appears to be:

upd install -G "-c" pycurl v7_15_5 -H Linux64bit+2.6-2.5
upd install -G "-c" pycurl v7_16_4 -H Linux64bit+2.6-2.12

| copied this from elsewhere, | have no idea what these flags actually do.

#3 - 12/19/2014 12:45 PM - Parag Mhashilkar
- Assignee set to Dennis Box

- Target version set to v1.1

#4 - 12/19/2014 04:46 PM - Dennis Box

- Status changed from New to Assigned

Sorry Chris this is maddening. | did not see this ticket 25 days ago, | just saw it when Parag assigned it to me.

I will have to ask our resident UPD expert about this one. | can update the documentation in the mean time.
Dennis
#5 - 12/29/2014 11:09 AM - Dennis Box

- Status changed from Assigned to Resolved

Updated documentation at https://cdcvs.fnal.gov/redmine/projects/jobsub/wiki/Wiki#JobSub-Client-Dependencies

#6 - 02/27/2015 09:45 AM - Parag Mhashilkar

- Status changed from Resolved to Closed
